> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/monitoring/extranet/service-status

> Returns a list of Status objects indicating the availability/reachability of all the Server IP addresses configured to the service. Healthy status indicates the Server IP address is reachable from all provider sites. Impaired status indicates the Server IP address is reachable from a subset of provider sites. Down status indicates the Server IP address can't be reached from any of the provider sites.

## OpenAPI

````json GET /v2/monitoring/extranet/service-status
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/monitoring/extranet/service-status": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "id",
            "in": "query",
            "description": "the id associated with an entity - consumer_id for consumer, and service_id for the producer/service",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1
          },
          {
            "name": "isProvider",
            "in": "query",
            "description": "whether the entity is a provider or consumer",
            "required": true,
            "schema": {
              "type": "boolean",
              "example": true
            },
            "example": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2MonitoringExtranetServiceStatusGetResponse"
                }
              }
            }
          }
        },
        "description": "Returns a list of Status objects indicating the availability/reachability of all the Server IP addresses configured to the service. Healthy status indicates the Server IP address is reachable from all provider sites. Impaired status indicates the Server IP address is reachable from a subset of provider sites. Down status indicates the Server IP address can't be reached from any of the provider sites."
      }
    }
  },
  "components": {
    "schemas": {
      "v2MonitoringExtranetServiceStatusGetResponse": {
        "type": "object",
        "properties": {
          "statuses": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonExtranetServerStatus"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonExtranetServerStatus": {
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "example": "192.168.1.1",
            "description": "the IP address of the server"
          },
          "status": {
            "type": "string",
            "example": "Healthy",
            "description": "the health status of the server (Healthy, Impaired, Down)"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

